#ifndef CHAVIREMENT_H
#include "chavirement.h"
#endif

#ifndef MYGPIO_H
#include "Driver_GPIO.h"
#endif

#include "bordage.h"

uint16_t value = 0;

int main(void) {
	int i = 0;
	//on init le GPIO A
	MyGPIO_Activate(1);
	MyGPIO_Activate(2);
	//on init le système de chavirement
	chavirement_init();

	Roulis_Handler();

	while (1) {
		//on lance le contrôle du chavirement
		/*while( i < 1000000 ) {
			i++;
		}
		i = 0;*/

		value = chavirement_handler();
	}

}
